gss (1.0.4-4) unstable; urgency=medium

  * Use datefudge to fix time bomb.  Closes: #1076885.
  * Stop using gbp dch id-length.
  * Run wrap-and-sort -satbk.
  * Use /debian/ Vcs-* URL namespace.
  * Use execute_after instead of override for dh_auto_build.
  * Fix timebomb in autopkgtest too.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 29 Dec 2024 22:28:36 +0100

gss (1.0.4-3) unstable; urgency=medium

  * [1b17306] Bump Standards-Version to 4.7.0.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 16 Apr 2024 11:14:10 +0200

gss (1.0.4-2) unstable; urgency=medium

  * [ca619a6] Add d/salsa-ci.yml for wrap-and-sort.
  * [15866e7] Run wrap-and-sort -asbkt.
  * [77165ff] Use valgrind [amd64] due to #1061496, #1057693 and
    to closes: #1064021.
  * [5b112bf] Bump Standards-Version to 4.6.2.
  * [37ca383] Fix Build-Depends valgrind syntax.
  * [6d56c1c] Bump debian/ copyright years.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 15 Mar 2024 10:42:41 +0100

gss (1.0.4-1) unstable; urgency=medium

  [ Debian Janitor ]
  * [c4985d5] Remove constraints unnecessary since buster

  [ Simon Josefsson ]
  * [35eed2f] Use alpha.gnu.org in watch file.
  * [770ef1d] New upstream version 1.0.4
  * [200b3f1] Drop patches (fixed upstream).
  * [41bb8f2] Bump Standards-Version to 4.6.1.
  * [30ebc1b] Use valgrind-if-available.
  * [2ecb579] Use not-installed instead of -X.la.
  * [30d7a54] Fix lintian-overrides syntax.
  * [e196495] Update d/copyright for LGPLv3+|GPLv+2 library.

 -- Simon Josefsson <simon@josefsson.org>  Sat, 06 Aug 2022 17:20:38 +0200

gss (1.0.3-7) unstable; urgency=medium

  * [9226641] Use gbp dch id-length 7.
  * [05c838b] Update Standards-Version to 4.6.0.
  * [214ed62] debci: Use upstream self-test, making it non-superficial.
  * [2c178ea] Build with --with-po-suffix again, mistakenly
    dropped in 1.0.3-5.  Closes: #988172.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 20 Aug 2021 11:34:56 +0200

gss (1.0.3-6) unstable; urgency=low

  * Fix arch/indep-only builds.
  * Only use valgrind for self-checks on some platforms.

 -- Simon Josefsson <simon@josefsson.org>  Sat, 09 Jan 2021 00:18:27 +0100

gss (1.0.3-5) unstable; urgency=low

  [ Simon Josefsson ]
  * Use dh.
  * Bump compat from 10 to 13.
  * Mark gss-doc and gss-man as Multi-Arch: foreign.
  * Standards-Version 4.5.1.
  * Update watch file to version 4.
  * Improve upstream/metadata.
  * Move GTK-DOC manual from /usr/share/gtk-doc/html/gss/ to
    /usr/share/doc/gss-doc/gtk-doc/ and provide a link in the former
    path.  Silences lintian doc-base-file-references-wrong-path.
  * Silence lintian false positive about cyclo-gss.html.
  * Wrap-and-sort.
  * Rules-Requires-Root: no.
  * Don't ship PostScript manual (HTML and PDF is still included).
  * Add autopkgtest.
  * Drop README.source.
  * Updated upstream/signing-key.asc.
  * Don't ship libtool .la file.
  * Rebuild gtk-doc API manual from source.  Closes: #978828.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit (from ./configure).
  * Update standards version to 4.5.0, no changes needed.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 08 Jan 2021 20:12:44 +0100

gss (1.0.3-4) unstable; urgency=low

  * Use https in watch file.
  * Update upstream-signing-key.pgp.
  * Standard-Versions 4.4.0.
  * Bump compat to 10 (not higher because of #885407).
    - Drop dh-autoreconf.
  * Update Vcs-Browser, Vcs-Git, and Homepage URLs.
  * Priority: optional instead of extra.
  * Use https in copyright file.
  * Update debian/README.source.
  * Enable hardening.
  * Drop gss-dbg package.
  * Multiarchify.
  * Update source/options.
  * Run self-check.
  * Use dpkg-gensymbols -c4.
  * Add Build-Depends-Package to symbol files.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 08 Aug 2019 20:07:46 +0200

gss (1.0.3-3) unstable; urgency=low

  * Don't build gtk-doc files pending upstream fix.  Closes: #876593.

 -- Simon Josefsson <simon@josefsson.org>  Sat, 21 Oct 2017 21:01:25 +0200

gss (1.0.3-2) unstable; urgency=low

  * Move to collab-maint.
  * Add debian/gbp.conf and update debian/README.source.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 21 Apr 2015 10:56:03 +0200

gss (1.0.3-1) unstable; urgency=low

  * New upstream version.
    - Drop unnecessary Debian patches.
  * Update standards version to 3.9.6.
  * Improve copyright file.
  * Use DEP3 patches.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 09 Oct 2014 15:51:38 +0200

gss (1.0.2-4) unstable; urgency=low

  * Update standards version to 3.9.5.
  * Use dh-autoreconf, disable -Werror, build-dep help2man.  Closes: #735393.
  * Add debian/upstream-signing-key.pgp.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 15 Aug 2014 23:38:27 +0200

gss (1.0.2-3) unstable; urgency=low

  * Moved from experimental to unstable after testing.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 10 Nov 2013 09:40:46 +0100

gss (1.0.2-2) experimental; urgency=low

  * Add README.source.
  * Remove obsolete 'XS-Dm-Upload-Allowed: yes'.
  * Use Standards-Version 3.9.4.
  * Update Vcs-* to point at new Debian packaging repository.
  * Rebuild GTK-DOC manuals (some files diff-ignore'd in source/options).
  * Update debian/copyright file to match dep5.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 03 Nov 2013 22:00:22 +0100

gss (1.0.2-1) unstable; urgency=low

  [ Simon Josefsson ]
  * New upstream version.
  * Use latest Standards-Version (no changes).

 -- Simon Josefsson <simon@josefsson.org>  Fri, 25 Nov 2011 01:02:01 +0100

gss (1.0.1-2) unstable; urgency=low

  [ Simon Josefsson ]
  * Use latest Standards-Version (no changes).
  * Re-enable self checks on mips(el) now that #519006 is fixed.

  [ Andreas Metzler ]
  * Stop shipping libtool la files in binary packages.  (Closes: #610141)
    http://wiki.debian.org/ReleaseGoals/LAFileRemoval

 -- Russ Allbery <rra@debian.org>  Mon, 04 Apr 2011 14:55:34 -0700

gss (1.0.1-1) unstable; urgency=low

  * New upstream version.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 20 May 2010 17:48:39 +0200

gss (1.0.0-2) unstable; urgency=low

  * Use --with-packager parameters to add Debian-specific info to
    gss --help and --version outputs.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 14 Apr 2010 12:52:31 +0200

gss (1.0.0-1) unstable; urgency=low

  [ Simon Josefsson ]
  * New upstream version.
    - Breaks backwards compatibility, libgss1 renamed to libgss3.
  * Switch to dpkg-source 3.0 (quilt) format.
    - Patches and README.source removed (fixed upstream
      using --with-po-suffix).

  [ Russ Allbery ]
  * Update watch file to point to ftp.gnu.org instead of alpha.gnu.org.
  * Update debhelper compatibility level to V7.

 -- Russ Allbery <rra@debian.org>  Tue, 30 Mar 2010 13:34:46 -0700

gss (0.1.5-1) unstable; urgency=low

  * New upstream version.
  * libgss1.symbols: Add new symbols.
  * Add Build-Depends on valgrind to get better 'make check' output.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 22 Mar 2010 10:46:43 +0100

gss (0.1.3-1) unstable; urgency=low

  * Update to policy 3.8.4, no package changes required.
  * libgss-dev: Depend on libshishi-dev because libshishi.la is needed.
  * New upstream version.
  * Disable self checks on mips(el) due to #519006.
  * Bump required Shishi version to 0.0.42 due to important bugfixes.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 16 Mar 2010 10:12:59 +0100

gss (0.1.2-1) unstable; urgency=low

  * Update to policy 3.8.3, no package changes required.
  * New upstream version.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 19 Jan 2010 00:50:27 +0100

gss (0.1.1-1) unstable; urgency=low

  * New upstream version.
    - Shared library version incremented => libgss0 renamed to libgss1,
      both can be installed at the same time and there is no conflict.
    - Linked with a library version script.
    - For other changes, see NEWS.
  * Update copyright file to follow the format specified in
    http://wiki.debian.org/Proposals/CopyrightFormat
  * Update URL in watch file (moved from josefsson.org to alpha.gnu.org).
  * Add a libgss1.symbols file, to keep track of ABI changes.
  * Add ${misc:Depends} dependencies, to silence lintian
    debhelper-but-no-misc-depends warning.
  * Change section of "libgss-dbg" to "debug" from "libdevel" as per
    <http://permalink.gmane.org/gmane.linux.debian.devel.announce/1341>.
  * Update to policy 3.8.1, no package changes required.
  * We now use a patch to make the gettext *.mo files be installed
    as gss1.mo instead, so that we can install gss2.mo in the future
    to avoid having libgss1 conflict with libgss2.
  * Add README.source to discuss patching.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 30 Mar 2009 14:14:31 +0200

gss (0.0.23-3) unstable; urgency=low

  [ Simon Josefsson ]
  * Change doc-base manual section from Apps/Net to System/Security (for
    main manual) and Programming/C (for API reference manual), to fix
    lintian warning doc-base-unknown-section.

  [ Russ Allbery ]
  * Add ${shlibs:Depends} to the dependencies for libgss-dev to pick up
    the libc dependency for /usr/bin/gss.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 17 Mar 2008 14:08:46 +0100

gss (0.0.23-2) unstable; urgency=low

  [ Russ Allbery ]
  * Make libgss-dbg depend on the matching version of libgss0 to ensure
    consistency between debug information and the binaries.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 08 Jan 2008 15:55:51 +0100

gss (0.0.23-1) experimental; urgency=low

  * New upstream version.
  * Fix FTBFS if built twice in a row.  (closes: #442586)
  * Use DEB_UPSTREAM_VERSION instead of using dpkg-parsechangelog.
  * Add link to gtk-doc API manual from /usr/share/gss-doc/.
  * First upload by Simon, going to experimental to avoid problems.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 19 Dec 2007 17:12:43 +0100

gss (0.0.22-1) unstable; urgency=low

  [ Simon Josefsson ]
  * Replace GFDL copy in copyright file with reference to base-files copy.
  * Use Homepage: header in control file.
  * Use Vcs-* headers in control file.
  * Update to policy 3.7.3.0.

  [ Russ Allbery ]
  * New upstream release (only the GPL v3 licensing change).
  * Add XS-Dm-Upload-Allowed: yes so that Simon can upload directly.
  * Use ${binary:Version} rather than ${Source-Version} for libgss-dev's
    dependency on libgss0.

 -- Russ Allbery <rra@debian.org>  Mon, 03 Dec 2007 14:45:54 -0800

gss (0.0.21-1) unstable; urgency=low

  * New upstream release.
    - Fixes double build failure (closes: #424400)
  * Move man pages from gss-doc to new package gss-man, to allow
    most of the GSS documentation to be installed at the same time
    as heimdal-dev.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 23 May 2007 11:05:42 +0200

gss (0.0.20-1) unstable; urgency=low

  [ Simon Josefsson ]
  * New upstream version.
    - Includes the 64-bit bug fix we patched for earlier.
  * Fix cut'n'paste typo in copyright file (the manual is called gss.texi,
    not shishi.texi).

  [ Russ Allbery ]
  * Add conflict between gss-doc and heimdal-dev, which provides some of
    the same man pages.

 -- Russ Allbery <rra@debian.org>  Fri, 20 Apr 2007 18:57:00 -0700

gss (0.0.18-2) unstable; urgency=medium

  [ Russ Allbery ]
  * Urgency medium since it fixes a major bug on 64-bit platforms and the
    patch is minimal.

  [ Simon Josefsson ]
  * Fix 64-bit related bug that affects all platforms with
    sizeof(int)<sizeof(size_t), and caused a FTBFS on amd64
    (closes: #404739).

 -- Russ Allbery <rra@debian.org>  Tue,  9 Jan 2007 14:02:14 -0800

gss (0.0.18-1) unstable; urgency=low

  * Initial release (closes: #344593)

 -- Simon Josefsson <simon@josefsson.org>  Sun, 30 Apr 2006 12:16:27 +0100
